﻿using Hotline.Share.Enums.Quality;
using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Quality
{
	public class ProhibitedAddDto
	{
		/// <summary>
		/// 违禁词名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 违禁词分类
		/// </summary>
		public string Classify { get; set; }

		/// <summary>
		/// 违禁词属性
		/// </summary>
		public string Type { get; set; }

		/// <summary>
		/// 违禁近义词
		/// </summary>
		public string? Synonym { get; set; }
	}
	public class ProhibitedDeleteDto : ProhibitedAddDto
	{
		public string Id { get; set; }
	}
	public class ProhibitedUpdateDto : ProhibitedAddDto
	{
		public string Id { get; set; }
	}
	public record ProhibitedListDto : PagedKeywordRequest
	{
		/// <summary>
		/// 违禁词名称
		/// </summary>
		public string? Name { get; set; }

		/// <summary>
		/// 违禁词分类
		/// </summary>
		public string? Classify { get; set; }

		/// <summary>
		/// 违禁词属性
		/// </summary>
		public string? Type { get; set; }
	}
	public class ProhibitedBaseDto
	{
		public DateTime? LastModificationTime { get; set; }

		public bool IsDeleted { get; set; }

		/// <summary>
		/// 删除时间
		/// </summary>
		public DateTime? DeletionTime { get; set; }


		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreationTime { get; set; }

		public string Id { get; set; }

		/// <summary>
		/// 组织Id
		/// </summary>
		public string? CreatorOrgId { get; set; }


		public string? CreatorOrgName { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public string? CreatorId { get; set; }

		public string? CreatorName { get; set; }
	}

	public class QualityProhibitedDto : ProhibitedBaseDto
	{
		/// <summary>
		/// 违禁词名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 违禁词分类
		/// </summary>
		public string Classify { get; set; }

		/// <summary>
		/// 违禁词属性
		/// </summary>
		public string Type { get; set; }

		/// <summary>
		/// 违禁近义词
		/// </summary>
		public string? Synonym { get; set; }

	}
}
