﻿using Hotline.Settings;
using Hotline.Settings.Hotspots;
using Hotline.Share.Enums.Article;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Article
{
    public class Bulletin : CreationEntity
    {
        public string Title { get; set; }

        [SugarColumn(ColumnDataType = "varchar(2000)")]
        public string Content { get; set; }

        public string BulletinTypeId { get; set; }

        public string BulletinTypeName { get; set; }

        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadedNum { get; set; }

        /// <summary>
        /// 通知时间
        /// </summary>
        public DateTime? BulletinTime { get; set; }

        /// <summary>
        /// 失效时间
        /// </summary>
        public DateTime LoseEfficacyTime { get; set; }

        /// <summary>
        /// 公告状态
        /// </summary>
        public EBulletinState BulletinState { get; set; }

        /// <summary>
        /// 发布范围（多选）
        /// </summary>
        public EPushRange PushRanges { get; set; }

        /// <summary>
        /// 来源单位ID
        /// </summary>
        public string SourceOrgId { get; set; }

       /// <summary>
       /// 来源单位名称
       /// </summary>
        public string SourceOrgName { get; set; }

        /// <summary>
        /// 阅读量+1
        /// </summary>
        public void Read()
        {
            ReadedNum++;
        }
    }
}
