﻿using Hotline.Share.Enums.Order;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    public class OrderScreen : FullStateEntity
	{
		/// <summary>
		/// 工单编号
		/// </summary>
		[SugarColumn(ColumnDescription = "工单编号")]
		public string No { get; set; }

		/// <summary>
		/// 回访id
		/// </summary>
		[SugarColumn(ColumnDescription = "回访id")]
		public string VisitId { get; set; }

		/// <summary>
		/// 回访明细id
		/// </summary>
		[SugarColumn(ColumnDescription = "回访明细id")]
		public string VisitDetailId { get; set; }
		
		/// <summary>
		/// 工单id
		/// </summary>
		[SugarColumn(ColumnDescription = "工单id")]
		public string OrderId { get; set; }

		/// <summary>
		/// 回访
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(VisitDetailId))]
		public OrderVisitDetail VisitDetail { get; set; }

		/// <summary>
		/// 回访
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(VisitId))]
        public OrderVisit Visit { get; set; }

		/// <summary>
		/// 工单
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(OrderId))]
		public Order Order { get; set; }

		/// <summary>
		/// 甄别申请类型id
		/// </summary>
		[SugarColumn(ColumnDescription = "甄别申请类型id")]
		public string? TypeDicId { get; set; }

		/// <summary>
		/// 甄别申请类型名称
		/// </summary>
		[SugarColumn(ColumnDescription = "甄别申请类型名称")]
		public string? TypeDicName { get; set; }


        /// <summary>
        /// 甄别申请原因
        /// </summary>
        [SugarColumn(ColumnDescription = "甄别申请原因", ColumnDataType = "varchar(2000)")]
		public string? Content { get; set; }

		/// <summary>
		/// 甄别申请回复
		/// </summary>
		[SugarColumn(ColumnDescription = "甄别申请回复", ColumnDataType = "varchar(2000)")]
	    public string? ReplyContent { get; set; }


		/// <summary>
		/// 甄别截至申请时间
		/// </summary>
		[SugarColumn(ColumnDescription = "甄别截至申请时间")]
		public DateTime? ApplyEndTime { get; set; }

		/// <summary>
		/// 甄别申请状态
		/// </summary>
		[SugarColumn(ColumnDescription = "甄别申请状态")]
		public EScreenStatus? Status { get; set; }

	}
}
