﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("质检模版明细")]
	public class QualityTemplateDetail : FullStateEntity
	{
		/// <summary>
		/// 质检模版ID
		/// </summary>
		[SugarColumn(ColumnDescription = "质检模版ID")]
		public string TemplateId { get; set; }

		/// <summary>
		/// 质检项目名称
		/// </summary>
		[SugarColumn(ColumnDescription = "质检项目名称")]
		public string Name { get; set; }

		/// <summary>
		/// 扣分内容
		/// </summary>
		[SugarColumn(ColumnDescription = "扣分内容", ColumnDataType = "varchar(2000)")]
		public string? Content { get; set; }

		/// <summary>
		/// 分值
		/// </summary>
		[SugarColumn(ColumnDescription = "分值")]
		public int Grade { get; set; }

		/// <summary>
		/// 是否智能质检项目
		/// </summary>
		[SugarColumn(ColumnDescription = "是否智能质检项目  0  不是  1 是")]
		public int IsIntelligent { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(TemplateId))]
		public QualityTemplate QualityTemplate { get; set; }
	}
}
