﻿using Hotline.Share.Dtos.Settings;
using Hotline.Share.Enums.Settings;

namespace Hotline.Settings.TimeLimits
{
    public interface ITimeLimitDomainService
    {
        /// <summary>
        /// 新增
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<string> AddAsync(TimeLimit model, CancellationToken cancellationToken);

        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="model"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task UpdateAsync(TimeLimit model, CancellationToken cancellationToken);


        /// <summary>
        /// 
        /// </summary>
        /// <param name="beginTime"></param>
        /// <param name="timeType"></param>
        /// <param name="timeValue"></param>
        /// <returns></returns>
        TimeResult CalcEndTime(DateTime beginTime, ETimeType timeType, int timeValue,bool isCenter);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="beginTime"></param>
        /// <param name="busCode"></param>
        /// <returns></returns>
        TimeResult? CalcEndTime(DateTime beginTime, string busCode, bool isCenter);


        /// <summary>
        /// 
        /// </summary>
        /// <param name="beginTime"></param>
        /// <param name="endTime"></param>
        /// <returns></returns>
        int CalcWorkTime(DateTime beginTime, DateTime endTime, bool isCenter);

        /// <summary>
        /// 计算时间间隔
        /// </summary>
        /// <param name="beginTime"></param>
        /// <param name="endTime"></param>
        /// <param name="isCenter"></param>
        /// <returns></returns>
        string CalcTimeInterval(DateTime beginTime, DateTime endTime, bool isCenter);
    }
}
